$top-news-height: 350px;
$small-news-bottom-margin: 14px;

.top-news-block {
    width: calc(100% + 150px);
    transform: translate(-150px);

    &__title {
        margin-left: 150px;
    }
}

.top-news {
    height: $top-news-height;

    &--small {
        height: $top-news-height / 2 - $small-news-bottom-margin / 2;
        background-color: map-get($colors, 'light-gray');
        margin-bottom: $small-news-bottom-margin;
    }

    &__image {
        object-fit: cover;
        object-position: center;

        &--small {
            width: $top-news-height / 2;
        }
    }

    &__content {
        padding: rem(20);
    }

    &__block {
        position: absolute;
        right: 0;
        bottom: 0;
        padding: rem(20);
        width: 60%;
        height: 50%;
        background-color: map-get($colors, 'light-gray');
    }

    &__title {
        font-size: rem(14);
    }

    &__more {
        border-bottom: 2px solid map-get($colors, 'red');
    }
}

@media screen and (max-width: 578px) {
    .top-news-block {
        width: 100%;
        transform: unset;
        &__title {
            margin-left: 0;
        }
    }
    .top-news {
        &__title {
        font-size: rem(12);
        }
    }
    
}